.commit-info-row.commit-info-row-header
  %span.hidden-xs Authored by
  %strong
    = commit_author_link(@commit, avatar: true, size: 24)
  #{time_ago_with_tooltip(@commit.authored_date)}

  .pull-right.commit-action-buttons
    - if defined?(@notes_count) && @notes_count > 0
      %span.btn.disabled.btn-grouped.hidden-xs.append-right-10
        = icon('comment')
        = @notes_count
    = link_to namespace_project_tree_path(@project.namespace, @project, @commit), class: "btn btn-default append-right-10 hidden-xs hidden-sm" do
      Browse Files
    .dropdown.inline
      %a.btn.btn-default.dropdown-toggle{ data: { toggle: "dropdown" } }
        %span.hidden-xs Options
        %span.caret.commit-options-dropdown-caret
      %ul.dropdown-menu.dropdown-menu-align-right
        %li.visible-xs-block.visible-sm-block
          = link_to namespace_project_tree_path(@project.namespace, @project, @commit) do
            Browse Files
        - unless @commit.has_been_reverted?(current_user)
          %li.clearfix
            = revert_commit_link(@commit, namespace_project_commit_path(@project.namespace, @project, @commit.id), has_tooltip: false)
        %li.clearfix
          = cherry_pick_commit_link(@commit, namespace_project_commit_path(@project.namespace, @project, @commit.id), has_tooltip: false)
        %li.divider
        %li.dropdown-header
          Download
        - unless @commit.parents.length > 1
          %li= link_to "Email Patches", namespace_project_commit_path(@project.namespace, @project, @commit, format: :patch)
        %li= link_to "Plain Diff",    namespace_project_commit_path(@project.namespace, @project, @commit, format: :diff)

- if @commit.different_committer?
  .commit-info-row
    %span.light Committed by
    %strong
      = commit_committer_link(@commit, avatar: true, size: 24)
    #{time_ago_with_tooltip(@commit.committed_date)}

.commit-info-row
  %span.hidden-xs.hidden-sm Commit
  = link_to @commit.id, namespace_project_commit_path(@project.namespace, @project, @commit), class: "monospace hidden-xs hidden-sm"
  = link_to @commit.short_id, namespace_project_commit_path(@project.namespace, @project, @commit), class: "monospace visible-xs-inline visible-sm-inline"
  = clipboard_button(clipboard_text: @commit.id)
  %span.cgray= pluralize(@commit.parents.count, "parent")
  - @commit.parents.each do |parent|
    = link_to parent.short_id, namespace_project_commit_path(@project.namespace, @project, parent), class: "monospace"

  %span.commit-info.branches
    %i.fa.fa-spinner.fa-spin

- if @commit.status
  .commit-info-row
    Builds for
    = pluralize(@commit.pipelines.count, 'pipeline')
    = link_to builds_namespace_project_commit_path(@project.namespace, @project, @commit.id), class: "ci-status-link ci-status-icon-#{@commit.status}" do
      = ci_icon_for_status(@commit.status)
      %span.ci-status-label
        = ci_label_for_status(@commit.status)
    - if @commit.pipelines.duration
      in
      = time_interval_in_words @commit.pipelines.duration

.commit-box.content-block
  %h3.commit-title
    = markdown escape_once(@commit.title), pipeline: :single_line, author: @commit.author
  - if @commit.description.present?
    %pre.commit-description
      = preserve(markdown(escape_once(@commit.description), pipeline: :single_line, author: @commit.author))

:javascript
  $(".commit-info.branches").load("#{branches_namespace_project_commit_path(@project.namespace, @project, @commit.id)}");
